---
schema-version: '1.1'
name: OpenSearch
version: 3.3.0
platform: linux
architecture: x64
distribution: deb
id: '11452'
rc: '5'
test-run:
  Command: ./test.sh integ-test manifests/3.3.0/opensearch-3.3.0-test.yml --paths
    opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.0/11452/linux/x64/deb
  TestType: integ-test
  TestManifest: manifests/3.3.0/opensearch-3.3.0-test.yml
  DistributionManifest: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.0/11452/linux/x64/deb/dist/opensearch/manifest.yml
  TestID: '10396'
components:
  - name: anomaly-detection
    command: ./test.sh integ-test manifests/3.3.0/opensearch-3.3.0-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.0/11452/linux/x64/deb
      --component anomaly-detection
    repository: https://github.com/opensearch-project/anomaly-detection.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.0/11452/linux/x64/deb/test-results/10396/integ-test/anomaly-detection/with-security/anomaly-detection.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.0/11452/linux/x64/deb/test-results/10396/integ-test/anomaly-detection/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.0/11452/linux/x64/deb/test-results/10396/integ-test/anomaly-detection/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.0/11452/linux/x64/deb/test-results/10396/integ-test/anomaly-detection/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.0/11452/linux/x64/deb/test-results/10396/integ-test/anomaly-detection/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: FAIL
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.3.0/11452/linux/x64/deb/test-results/10396/integ-test/anomaly-detection/without-security/anomaly-detection.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.3.0/11452/linux/x64/deb/test-results/10396/integ-test/anomaly-detection/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.3.0/11452/linux/x64/deb/test-results/10396/integ-test/anomaly-detection/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.0/11452/linux/x64/deb/test-results/10396/integ-test/anomaly-detection/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.3.0/11452/linux/x64/deb/test-results/10396/integ-test/anomaly-detection/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - org.opensearch.ad.rest.AnomalyDetectorRestApiIT#testCreateAnomalyDetector_withFlattenedResultIndex
